{% extends 'base.html.twig' %}


{% block body %}


    <div id="carousel" class="carousel slide" data-bs-ride="false">
        <div class="carousel-indicators">
        {% for paint in paintings|slice(0,10) %}
            {% if paint.isSlider %}
            {% if loop.index == 1%}
                <button type="button" data-bs-target="#carousel" data-bs-slide-to="{{ loop.index }}" class="active" aria-current="true" aria-label="Slide {{ loop.index }}"></button>
            {% else %}
                <button type="button" data-bs-target="#carousel" data-bs-slide-to="{{ loop.index }}" aria-label="Slide {{ loop.index }}"></button>
            {% endif %}
            {% endif %}
        {% endfor %}
        </div>

        <div class="carousel-inner">
            {% for paint in paintings|slice(0,10) %}
                {% if paint.isSlider %}
                    {% if loop.index == 1%}
                        <div class="carousel-item active">
                            <img class="d-block bg-img" src="{{ asset('img/painting/' ~ paint.image) }}" alt="First slide">
                            <img class="d-block m-auto" src="{{ asset('img/painting/' ~ paint.image) }}" alt="First slide">
                            <div class="carousel-caption d-none d-md-block ">
                                <h5>{{ paint.title|capitalize}}</h5>
                                <p>{{ paint.description[:50]~'...'}}</p>
                                <a href="{{ path('paint', {id: paint.id}) }}" class="btn btn-primary">Details</a>
                            </div>
                        </div>
                    {% else %}
                        <div class="carousel-item">
                            <img class="d-block bg-img" src="{{ asset('img/painting/' ~ paint.image) }}" alt="Second slide">
                            <img class="d-block m-auto" src="{{ asset('img/painting/' ~ paint.image) }}" alt="Second slide">

                            <div class="carousel-caption d-none d-md-block">
                                <h5>{{ paint.title|capitalize}}</h5>
                                <p>{{ paint.description[:50]~'...'}}</p>
                                <a href="{{ path('paint', {id: paint.id}) }}" class="btn btn-primary">Details</a>
                            </div>
                        </div>
                    {% endif %}

                {% endif %}
            {% endfor %}

        </div>
        <button class="carousel-control-prev" type="button" data-bs-target="#carousel" data-bs-slide="prev">
            <span class="carousel-control-prev-icon" aria-hidden="true"></span>
            <span class="visually-hidden">Previous</span>
        </button>
        <button class="carousel-control-next" type="button" data-bs-target="#carousel" data-bs-slide="next">
            <span class="carousel-control-next-icon" aria-hidden="true"></span>
            <span class="visually-hidden">Next</span>
        </button>
    </div>



    <h2 class="display-1 font-weight-bold text-xl-center mt-5 pt-5 p-3">Gallerie Challtin</h2>
    <p class="display-6 text-xl-center">Les oeuvres les plus connues de l'histoire</p>

    <div class="container mw-100 px-lg-5" >
        <div class="row  gx-4">
            {% for paint in paintings %}
            <div class="card mt-5 col-md-3 offset-1" style="width: 22rem;">
                <img class="card-img-top" src="{{ asset('img/painting/' ~ paint.image) }}" alt="Card image cap">
                <div class="card-body">
                    <h5 class="card-title">{{ paint.title|capitalize }}</h5>
                    <h6 class="card-title "> - {{ paint.author.name }} - </h6>
                    <p class="card-text">{{ paint.description|slice(0, 100)~'...' }}</p>
                </div>
                <ul class="list-group list-group-flush">
                    <li class="list-group-item">{{ paint.createdAt|date('d/m/Y') }}</li>
                    <li class="list-group-item">{{ paint.category.name }}</li>
                    <li class="list-group-item">{{ paint.technical.name }}</li>
                    <li class="list-group-item">{{ paint.price|form_encode_currency('EUR') }}€</li>
                </ul>
                <div class="card-body">
                    <a href="{{ path('paint', {id: paint.id}) }}" class="btn btn-primary">Details</a>
                    {% if app.user in paint.favorites %}
                        <a class="liked-btn" href="{{ path('app_favorite', {id: paint.id}) }}"><i class="icofont-heart-alt"></i></a>
                    {% else %}
                        <a class="like-btn" href="{{ path('app_favorite', {id: paint.id}) }}"><i class="icofont-heart-alt"></i></a>
                    {% endif %}

                    {% if app.user in paint.cart %}
                        <a class="liked-btn" href="{{ path('app_addCart', {id: paint.id}) }}"><i class="icofont-shopping-cart"></i></a>
                    {% else %}
                        <a class="like-btn" href="{{ path('app_addCart', {id: paint.id}) }}"><i class="icofont-shopping-cart"></i></a>
                    {% endif %}


                </div>
            </div>

            {% endfor %}
    </div>
    </div>
{% endblock %}

{# {{ asset('img/1.jpg') }} #}